Package be.vlaanderen.mercurius.insurability.schemas.v1

# Class WZCMHDF001DetermineInsurabilityRequest

java.lang.Object
be.vlaanderen.mercurius.insurability.schemas.v1.WZCMHDF001DetermineInsurabilityRequest

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class WZCMHDF001DetermineInsurabilityRequest extends Object implements Serializable

Java class for anonymous complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MessageMetadata" type="{http://www.mercurius.vlaanderen.be/insurability/schemas/v1}MessageMetadataType"/>
             <element name="StartDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="EndDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="Context" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}ContextType"/>
             <element name="PersonInformation" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WZCMHDF001DetermineInsurabilityRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContextType`
  `getContext()`
  Sector (pijler) waarvoor de VSB-verzekerbaarheid wordt afgetoetst
  `Instant`
  `getEndDate()`
  Datum tot en met wanneer de VSB-verzekerbaarheid moet afgetoetst worden
  `MessageMetadataType`
  `getMessageMetadata()`
  Tracing informatie
  `Instant`
  `getStartDate()`
  Datum vanaf wanneer de VSB-verzekerbaarheid moet afgetoetst worden
  `boolean`
  `isPersonInformation()`
  Flag voor ophalen persoonsgegevens
  `void`
  `setContext(ContextType value)`
  Sets the value of the context property.
  `void`
  `setEndDate(Instant value)`
  Sets the value of the endDate property.
  `void`
  `setMessageMetadata(MessageMetadataType value)`
  Sets the value of the messageMetadata property.
  `void`
  `setPersonInformation(boolean value)`
  Sets the value of the personInformation property.
  `void`
  `setStartDate(Instant value)`
  Sets the value of the startDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WZCMHDF001DetermineInsurabilityRequest

    public WZCMHDF001DetermineInsurabilityRequest()

- ## Method Details

  - ### getMessageMetadata

    public MessageMetadataType getMessageMetadata()
    Tracing informatie
    Returns:
      possible object is `MessageMetadataType`

  - ### setMessageMetadata

    public void setMessageMetadata(MessageMetadataType value)
    Sets the value of the messageMetadata property.
    Parameters:
      `value` - allowed object is `MessageMetadataType`
    See Also:
      - `getMessageMetadata()`

  - ### getStartDate

    public Instant getStartDate()
    Datum vanaf wanneer de VSB-verzekerbaarheid moet afgetoetst worden
    Returns:
      possible object is `String`

  - ### setStartDate

    public void setStartDate(Instant value)
    Sets the value of the startDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStartDate()`

  - ### getEndDate

    public Instant getEndDate()
    Datum tot en met wanneer de VSB-verzekerbaarheid moet afgetoetst worden
    Returns:
      possible object is `String`

  - ### setEndDate

    public void setEndDate(Instant value)
    Sets the value of the endDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEndDate()`

  - ### getContext

    public ContextType getContext()
    Sector (pijler) waarvoor de VSB-verzekerbaarheid wordt afgetoetst
    Returns:
      possible object is `ContextType`

  - ### setContext

    public void setContext(ContextType value)
    Sets the value of the context property.
    Parameters:
      `value` - allowed object is `ContextType`
    See Also:
      - `getContext()`

  - ### isPersonInformation

    public boolean isPersonInformation()
    Flag voor ophalen persoonsgegevens

  - ### setPersonInformation

    public void setPersonInformation(boolean value)
    Sets the value of the personInformation property.